"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const find_base_dir_1 = require("./find-base-dir");
const list_1 = require("./list");
const hashes_1 = require("./builders/hashes");
const trie_1 = require("./builders/trie");
function default_1() {
    console.log('Updating rules...');
    const publicSuffixList = (0, list_1.default)();
    // Build trie and update TypeScript file
    (0, fs_1.writeFileSync)((0, find_base_dir_1.default)('./tldts/src/data/trie.ts'), (0, trie_1.default)(publicSuffixList, { includePrivate: true }), 'utf-8');
    // Build trie and update TypeScript file (ICANN only)
    (0, fs_1.writeFileSync)((0, find_base_dir_1.default)('./tldts-icann/src/data/trie.ts'), (0, trie_1.default)(publicSuffixList, { includePrivate: false }), 'utf-8');
    // Build hashes and update TypeScript file
    const packed = (0, hashes_1.default)(publicSuffixList);
    (0, fs_1.writeFileSync)((0, find_base_dir_1.default)('./tldts-experimental/src/data/hashes.ts'), `
// Code automatically generated using ./bin/builders/hashes.ts
export default new Uint32Array([${Array.from(packed).toString()}]);
`, 'utf-8');
}
exports.default = default_1;
//# sourceMappingURL=update.js.map